<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.4.7
 * @author		Emilio Arrufat & hikashop.com
 * @copyright	(C) 2011 Emilio Arrufat & HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * base on Bluepaid payment plugin by Hikashop
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="hikashop_ceca_end" id="hikashop_ceca_end">
	<span id="hikashop_ceca_end_message" class="hikashop_ceca_end_message">
		<?php echo JText::_('PLEASE_WAIT_BEFORE_REDIRECTION_TO_CECA').'<br/>'. JText::_('CLICK_ON_BUTTON_IF_NOT_REDIRECTED');?>
	</span>
	<span id="hikashop_ceca_end_spinner" class="hikashop_ceca_end_spinner">
		<img src="<?php echo HIKASHOP_IMAGES.'spinner.gif';?>" />
	</span>
	<br/>
	<form id="hikashop_ceca_form" name="hikashop_ceca_form" action="<?php echo $method->payment_params->url;?>" method="post">
		<div id="hikashop_ceca_end_image" class="hikashop_ceca_end_image">
			<input id="hikashop_ceca_button" type="submit" value="<?php echo JText::_('PAY_ON_CECA');?>" name="" alt="Click para pagar a través de CECA" />
		</div>
		<?php
			foreach( $vars as $name => $value ) {
				echo '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars($value).'" />';
			}
			$doc =& JFactory::getDocument();
			$doc->addScriptDeclaration("window.addEvent('domready', function() {document.getElementById('hikashop_ceca_form').submit();});");
			JRequest::setVar('noform',1);
		?>
	</form>
</div>